function LHS = Abound2017BS(x0,xend,par,k0,M0,T0,S0)

b=par.b; Ehat=par.Ehat; delta=par.delta;
sst=par.sst; alpha=par.alpha; beta=par.beta;
irst=par.ist; xi1=par.xi1; xi2=par.xi2;
elst=par.elst; theta=par.theta; 
qend=(par.ql+par.qu)/2; lambda1=par.lambda1; 

T=xend(8:9);
M=xend(5:7);


Pi=par.eta1*log(M(1)/par.M1750)+par.eta2*par.Fex0;
Tdot=par.Lambda(1,:)*T+Pi;
Omega=1-(xi1*T(1)+xi2*T(1)^2); 
A=(irst+delta)/alpha;
B=b*Omega*(beta/qend)^beta;
kst=(B/(A^(1-beta)))^(1/(1-alpha-beta));
yst=A*kst;
cst=(1-sst-beta)*yst;
yTst=-yst/Omega*(xi1+2*xi2*T(1));
taust=-((irst-Ehat)*eye(2)-par.Lambda')\[yTst 0]';
rst=((irst-Ehat)*eye(3)-par.Gamma')\[taust(1)*par.eta1/(M(1)) 0 0]';


LHS=zeros(15,1);

LHS(1)=x0(1)-log(k0);
LHS(2)=x0(2)-S0;
LHS(3)=xend(3)-log(cst);
 LHS(4)=xend(4);
LHS(5:7)=x0(5:7)-M0;
LHS(8:9)=x0(8:9)-T0;
LHS(10:12)=xend(10:12)-rst;
LHS(13:14)=xend(13:14)-taust;
LHS(15)=x0(15);
LHS(16)=xend(16)+(cst^(1-theta))/lambda1;
end
